<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package resort_vacation
 */
$resort_vacation_heading_setting  = get_theme_mod( 'resort_vacation_post_heading_setting' , true );
$resort_vacation_meta_setting  = get_theme_mod( 'resort_vacation_post_meta_setting' , true );
$resort_vacation_image_setting  = get_theme_mod( 'resort_vacation_post_image_setting' , true );
$resort_vacation_content_setting  = get_theme_mod( 'resort_vacation_post_content_setting' , true );
$resort_vacation_read_more_setting = get_theme_mod( 'resort_vacation_read_more_setting' , true );
$resort_vacation_read_more_text = get_theme_mod( 'resort_vacation_read_more_text', __( 'Read More', 'resort-vacation' ) );
?>

<div class="col-lg-4 col-md-6">
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php 
    $resort_vacation_meta_order = get_theme_mod('resort_vacation_blog_meta_order', array('heading', 'author', 'featured-image', 'content', 'button'));
    
    foreach ($resort_vacation_meta_order as $resort_vacation_order) :
        if ('heading' === $resort_vacation_order) :
            if ($resort_vacation_heading_setting) { ?>
                <header class="entry-header">
                    <?php if (is_single()) {
                        the_title('<h1 class="entry-title" itemprop="headline">', '</h1>');
                    } else {
                        the_title('<h2 class="entry-title" itemprop="headline"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
                    } ?>
                </header>
            <?php }
        endif;

        if ('author' === $resort_vacation_order) :
            if ('post' === get_post_type() && $resort_vacation_meta_setting) { ?>
                <div class="entry-meta">
                    <?php resort_vacation_posted_on(); ?>
                </div>
            <?php }
        endif;

        if ('featured-image' === $resort_vacation_order) :
            if ($resort_vacation_image_setting) { ?>
                    <?php echo (!is_single()) 
                        ? '<a href="' . esc_url( get_the_permalink() ) . '" class="post-thumbnail wow fadeInUp" data-wow-delay="0.2s">'
                        : '<div class="post-thumbnail wow fadeInUp" data-wow-delay="0.2s">';
                    ?>
                    <?php if (has_post_thumbnail()) {
                        if (is_active_sidebar('right-sidebar')) {
                            the_post_thumbnail('resort-vacation-with-sidebar', array('itemprop' => 'image'));
                        } else {
                            the_post_thumbnail('resort-vacation-without-sidebar', array('itemprop' => 'image'));
                        }
                    } else { ?>
                        <img src="<?php echo esc_url(get_stylesheet_directory_uri() . '/images/default-header.png'); ?>">
                    <?php } ?>
                <?php echo (!is_single()) ? '</a>' : '</div>'; ?>
            <?php }
        endif;

        if ('content' === $resort_vacation_order) :
            if ($resort_vacation_content_setting) { ?>
                <div class="entry-content" itemprop="text">
                    <?php if (is_single()) {
                        the_content(
                            sprintf(
                                wp_kses(
                                    __('Continue reading %s <span class="meta-nav">&rarr;</span>', 'resort-vacation'),
                                    array('span' => array('class' => array()))
                                ),
                                '<span class="screen-reader-text">"' . get_the_title() . '"</span>'
                            )
                        );
                    } else {
                        the_excerpt();
                    }
                    
                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'resort-vacation'),
                        'after'  => '</div>',
                    ));
                    ?>
                </div>
            <?php }
        endif;

        if ('button' === $resort_vacation_order) :
            if (!is_single() && $resort_vacation_read_more_setting) { ?>
                <div class="read-more-button">
                    <a href="<?php echo esc_url(get_permalink()); ?>" class="read-more-button"><?php echo esc_html($resort_vacation_read_more_text); ?></a>
                </div>
            <?php }
        endif;
    endforeach; ?>
</article>

</div>